Skip to content
Navigation

Get public profile by slug

GET
https://api.sureshake.com/v2/users/public/{slug}

Path parameters

  • slug
    string
    required
    minLength: 1

Returns

200

Default Response

JSON
  • data
    object
    or null
    required
    • id
      string
      required
    • name
      string
      required
    • avatar
      string
      or null
      required
    • avatarUrl
      string
      or null
      required
    • avatarAvailability
      required

      Any of the following:

      • object
        • status
          absent
          required
      • object
        • status
          available
          required
        • url
          string
          required
          format: uri
      • object
        • status
          unavailable
          required
        • reason
          signing_dependency_unavailable
          required
    • backgroundUrl
      string
      or null
      required
    • bio
      string
      or null
      required
    • title
      string
      or null
      required
    • company
      string
      or null
      required
    • location
      string
      or null
      required
    • website
      string
      or null
      required
    • twitter
      string
      or null
      required
    • linkedin
      string
      or null
      required
    • github
      string
      or null
      required
    • createdAt
      string
      required
      format: date-time
    • followerCount
      integer
      required
      minimum: 0
    • connectionCount
      integer
      required
      minimum: 0
    • about
      optional
      string
      or null
    • jobs
      optional
      array of
      object
      • id
        string
        required
      • title
        string
        required
      • companyName
        string
        required
      • companySlug
        string
        or null
        required
      • location
        string
        or null
        required
      • startDate
        string
        required
        format: date-time
      • endDate
        string
        or null
        required
        format: date-time
      • current
        boolean
        required
      • description
        string
        or null
        required
      • highlights
        array of
        string
        required
    • educations
      optional
      array of
      object
      • id
        string
        required
      • degree
        string
        required
      • field
        string
        or null
        required
      • schoolName
        string
        required
      • schoolSlug
        string
        or null
        required
      • location
        string
        or null
        required
      • startDate
        string
        required
        format: date-time
      • endDate
        string
        or null
        required
        format: date-time
      • current
        boolean
        required
      • gpa
        string
        or null
        required
    • skills
      optional
      array of
      object
      • id
        string
        required
      • name
        string
        required
      • category
        string
        or null
        required
      • level
        string
        or null
        required
    • portfolios
      optional
      array of
      object
      • id
        string
        required
      • title
        string
        required
      • slug
        string
        required
      • summary
        string
        or null
        required
      • portfolioType
        string
        required
      • coverImageUrl
        string
        or null
        required
    • memberSummary
      optional
      object
      • joinedAt
        string
        required
        format: date-time
      • contactUpdatedAt
        string
        or null
        required
        format: date-time
      • avatarUpdatedAt
        string
        or null
        required
        format: date-time
      • verifications
        array of
        object
        required
        • kind
          string
          required
          minLength: 1
        • label
          string
          required
          minLength: 1
        • verifiedAt
          string
          or null
          required
          format: date-time
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close